commit:     bca7c0409cd4aabbba05bdb7e30d7b2d08f5c738
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 26 16:09:40 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Nov 26 17:17:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bca7c040

app-containers/distrobox: bump to 1.8.2.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-containers/distrobox/Manifest                 |  1 +
 app-containers/distrobox/distrobox-1.8.2.2.ebuild | 58 +++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/app-containers/distrobox/Manifest 
b/app-containers/distrobox/Manifest
index 1790b0e0a611..ad46c5a64fb4 100644
--- a/app-containers/distrobox/Manifest
+++ b/app-containers/distrobox/Manifest
@@ -1,2 +1,3 @@
 DIST distrobox-1.8.1.2.tar.gz 1966405 BLAKE2B 
90f55785c15889ab75f7d0fce3b1d25d38fe1e481d9de20b959d9f2a0138675b45cbc225d1246dc12cf0a1a8ff089272f362a1b50474dffc41a67d9e596233ac
 SHA512 
32cb3ddbc89fec68d44c4e5ab5791755323a6da7be825959b1b868bdbd8144ac5bdb59420f7d06b32c27d4235b95995f8a6af9f79505efbeba2286122519c25e
 DIST distrobox-1.8.2.1.gh.tar.gz 2002149 BLAKE2B 
cb9295ff08089525539dabff3514544f4fb2a1fd4497b1166474603efe06ba8a7924f706de6a86db3f8acbf1c2fe499342bed80d0b5f51f697b5f7d6a0f8b5b6
 SHA512 
bedf768b90c5f88acb1f520daa296be04d97002f9bbc635619f130a90f3cef746cb86849a8420c32593233efc074ecb9308a3158909b9c95b85995bdf6b8ea2a
+DIST distrobox-1.8.2.2.gh.tar.gz 2002827 BLAKE2B 
48524ea86bb7c0a9631f385e146dfbba4ab752115f06e03de85264d3ecf61d55f889f6d64ffd265bc28aee82a6808394bfb5e15579cb70431c1ff78606eef197
 SHA512 
98379fb14b20c70a56fb6e1bfe4ff938fab34d9bc47f7b0b6d1cff703d1c725e3bd5feb330bfa3e7102e23c04ecdb94ce5e660ef4ac72a0c61b3b63e9a397b6d

diff --git a/app-containers/distrobox/distrobox-1.8.2.2.ebuild 
b/app-containers/distrobox/distrobox-1.8.2.2.ebuild
new file mode 100644
index 000000000000..85813e3c6f3f
--- /dev/null
+++ b/app-containers/distrobox/distrobox-1.8.2.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="Use any Linux distribution inside your terminal (powered by 
docker/podman)"
+HOMEPAGE="https://distrobox.it/
+       https://github.com/89luca89/distrobox/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/89luca89/${PN}";
+else
+       SRC_URI="https://github.com/89luca89/${PN}/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-3"  # GPL-3.0-only !
+SLOT="0"
+IUSE="gui"
+
+RDEPEND="
+       || (
+               app-containers/docker
+               app-containers/podman
+       )
+"
+
+src_install() {
+       sh ./install --prefix "${ED}/usr" || die "${PN} install script failed"
+
+       if use gui ; then
+               :
+       else
+               rm -r "${ED}/usr/share/icons" || die
+       fi
+
+       dodoc *.md
+}
+
+pkg_postinst() {
+       if use gui ; then
+               xdg_icon_cache_update
+               xdg_desktop_database_update
+       fi
+}
+
+pkg_postrm() {
+       if use gui ; then
+               xdg_icon_cache_update
+               xdg_desktop_database_update
+       fi
+}

Reply via email to